Przejdź do treści
Influence
Esc
↑↓nawigacja↵otwórz⌘Jpodgląd

Sprawdź dostępne narzędzia

Zwróć nazwy, opisy, zakresy uprawnień, wymagania potwierdzenia i schematy wejściowe narzędzi widocznych dla danych uwierzytelniających Bearer.

GET/api/v1/tools
Autoryzacja
AuthorizationToken Bearer · headerwymagane

Klucz API Influence o ograniczonym zakresie uprawnień lub obsługiwany token dostępu OAuth. Nie umieszczaj danych uwierzytelniających w adresach URL ani danych wejściowych narzędzi.

Odpowiedzi
200

Deskryptory dostępnych narzędzi.

toolsobject[]wymagane
Pokaż właściwości
Tablica elementów typu object
annotationsobjectwymagane
Pokaż właściwości
destructiveHintbooleanwymagane
idempotentHintbooleanwymagane
openWorldHintbooleanwymagane
readOnlyHintbooleanwymagane
confirmationstringwymagane
Dozwolone wartości:nonerequired
descriptionstringwymagane
min. długość: 1 · maks. długość: 1024
gatestringwymagane
Dozwolone wartości:coregenerative-ai
mutabilitystringwymagane
Dozwolone wartości:readexternal-readwriteexternal-write
namestringwymagane
Dozwolone wartości:adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsTool
scopesstring[]wymagane
maks. liczba elementów: 4
titlestringwymagane
min. długość: 1 · maks. długość: 80
inputSchemaobjectwymagane
Pokaż właściwości
typestringwymagane
400

Nieprawidłowe żądanie. Parametry zapytania nie są przyjmowane. Błędy walidacji narzędzia mogą mieć strukturę odpowiedzi błędu narzędzia.

errorobjectwymagane
Pokaż właściwości
codestringwymagane
messagestringwymagane
retryablebooleanwymagane
401

Nie podano danych uwierzytelniających Bearer albo są one nieprawidłowe lub wygasły.

errorobjectwymagane
Pokaż właściwości
codestringwymagane
messagestringwymagane
retryablebooleanwymagane
403

Dane uwierzytelniające nie obejmują wymaganych uprawnień.

errorobjectwymagane
Pokaż właściwości
codestringwymagane
messagestringwymagane
retryablebooleanwymagane
404

API dla klientów maszynowych lub żądane narzędzie jest niedostępne.

errorobjectwymagane
Pokaż właściwości
codestringwymagane
messagestringwymagane
retryablebooleanwymagane
429

Przekroczono limit częstotliwości żądań. Ten błąd pozwala na ponowienie próby.

errorobjectwymagane
Pokaż właściwości
codestringwymagane
messagestringwymagane
retryablebooleanwymagane
503

API lub jego zaplecze wykonawcze jest niedostępne.

errorobjectwymagane
Pokaż właściwości
codestringwymagane
messagestringwymagane
retryablebooleanwymagane
Żądanie
curl -X GET 'https://influence.so/api/v1/tools' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Odpowiedź
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}